{%extends "::base.html.twig"%}
{% block body %}
    <div class="barniere-event">
        <div style="background: rgba(0,0,0,0.3); width: 100%; height: 100%">
            <div class="row">
                <div class="col s2"><br/></div>
                <div class="col s8">
                    <p style="text-align: center; text-transform: uppercase; color: white; font-size: 1.9em; margin-top: 270px; font-family: 'RobotoLight'">
                        <span style="padding: 20px; border-radius: 5px">participer à l'assainissement des zones insalubres de votre cité</span>
                    </p>
                </div>
                <div class="col s2"><br/></div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col m12">
                <p style="text-align: center; font-size: 2em; font-family: 'RobotoThin'; text-transform: uppercase">à venir</p>
            </div>
        </div>
        <div class="row">
            {%if evenementsAVenir | length>0%}
                {%for e in evenementsAVenir%}
                    <div class="col l3 s12 m6">
                        <div class="card">
                            <div class="card-image">
                                {% if e.zoneInsalubre.photo and e.zoneInsalubre.photo.url%}
                                    <img src="{{image(e.zoneInsalubre.photo.webPath)}}" style="height: 150px"/>
                                {% endif %}
                                <span class="card-title" style="font-size: 20px">{{e.libelle|slice(0, 140)}} ...</span>
                            </div>
                            <div class="card-content" style="padding: 10px; padding-top: 0px">
                                <p style="margin: 0px; margin-top: 5px; font-size: 0.8em;font-family: 'RobotoLight'">
                                    <span class="mdi-maps-place"></span> {{e.zoneInsalubre.quartier.libelle}} ({{e.zoneInsalubre.ville.libelle}})<br/>
                                    <span class="mdi-action-event"></span> <span style="color: #777; ">{{e.date|date('d-m-Y à H:i')}}</span>
                                </p>
                            </div>
                            <div class="card-action" style="padding: 10px">
                                <a href="{{path('ev_web_client_participant_evenement', {'idZoneInsalubre': e.zoneInsalubre.id})}}" style="">Détails</a>
                                <a href="{{path('ev_web_client_rendre_propre', {'idZoneInsalubre': e.zoneInsalubre.id})}}" style="">Participer</a>
                            </div>
                        </div>

                    </div>
                {%endfor%}
            {%else%}
                <div class="col m12">
                    <p style="margin: 0px; margin-top: 10px; margin-bottom: 10px; color: #ef6c00; margin-left: 20px">Aucun événement à venir</p>
                </div>
            {%endif%}
        </div>
        <div class="row">
            <div class="col m12">
                <p style="text-align: center; font-size: 2em; font-family: 'RobotoThin'; text-transform: uppercase">passés</p>
            </div>
        </div>
        <div class="row">
            {%if evenementsPasser | length>0%}
                {%for e in evenementsPasser%}
                    <div class="col l3 s12 m6">
                        <div class="card">
                            <div class="card-image">
                                {% if e.zoneInsalubre.photo and e.zoneInsalubre.photo.url%}
                                    <img src="{{image(e.zoneInsalubre.photo.webPath)}}" style="height: 150px"/>
                                {% endif %}
                                <span class="card-title" style="font-size: 20px">{{e.libelle|slice(0, 140)}} ...</span>
                            </div>
                            <div class="card-content" style="padding: 10px; padding-top: 0px">
                                <p style="margin: 0px; margin-top: 5px; font-size: 0.8em;font-family: 'RobotoLight'">
                                    <span class="mdi-maps-place"></span> {{e.zoneInsalubre.quartier.libelle}} ({{e.zoneInsalubre.ville.libelle}})<br/>
                                    <span class="mdi-action-event"></span> <span style="color: #777; ">{{e.date|date('d-m-Y à H:i')}}</span>
                                </p>
                            </div>
                            <div class="card-action" style="padding: 10px">
                                <a href="{{path('ev_web_client_participant_evenement', {'idZoneInsalubre': e.zoneInsalubre.id})}}" style="">Détails</a>
                            </div>
                        </div>

                    </div>
                    {#<div class="col l3 s6 m3">
                        <div class="card">
                            <div class="card-image">
                                {% if e.zoneInsalubre.photo and e.zoneInsalubre.url%}
                                    <img src="{{image(e.zoneInsalubre.photo.webPath)}}"/>
                                {% endif %}
                                <span class="card-title">{{e.libelle}}</span>
                            </div>
                            <div class="card-action" style="border-top: none; padding: 10px">
                                <a href="{{path('ev_web_client_participant_evenement', {'idZoneInsalubre': e.zoneInsalubre.id})}}" style="">Détails</a>
                            </div>
                        </div>
                    </div>#}
                {%endfor%}
            {%else%}
                <div class="col m12">
                    <p style="margin: 0px; margin-top: 10px; margin-bottom: 10px; color: #ef6c00">Aucun événement passé</p>
                </div>
            {%endif%}
        </div>
    </div>
{% endblock %}
